> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/application-packages/msix-image/details.md).

# Details

## List Details

> Retrieve the list of package details from an image.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MSIXImage/Details":{"get":{"tags":["0-Infrastructure//Application Packages"],"summary":"List Details","description":"Retrieve the list of package details from an image.","operationId":"2b2fbf46-f579-479e-b779-051c8c24e580","parameters":[{"name":"Path","in":"query","description":"The MSIX image path (URL encoded in ASCII format).","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PackageDetails"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PackageDetails":{"type":"object","properties":{"packageName":{"type":"string","description":"<para type=\"description\">Package name</para>","nullable":true},"displayName":{"type":"string","description":"<para type=\"description\">Application package display name</para>","nullable":true},"version":{"type":"string","description":"<para type=\"description\">Application package version</para>","nullable":true},"publisher":{"type":"string","description":"<para type=\"description\">Application package publisher name</para>","nullable":true},"msixImagePath":{"type":"string","description":"<para type=\"description\">MSIX image path</para>","nullable":true},"packagedApps":{"type":"array","items":{"$ref":"#/components/schemas/PackagedApp"},"description":"<para type=\"description\">List of applications in the application package</para>","nullable":true},"dependencies":{"type":"string","description":"<para type=\"description\">Application pacakge dependencies</para>","nullable":true},"certificate":{"$ref":"#/components/schemas/AppPackageCertificate"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Package Details</para>\r\n<para type=\"description\"></para>"},"PackagedApp":{"type":"object","properties":{"name":{"type":"string","description":"<para type=\"description\">Application name in the application package</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">App Packages Application Info</para>\r\n<para type=\"description\"></para>"},"AppPackageCertificate":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/CertificateStatus"},"publicKey":{"type":"string","description":"<para type=\"description\">The public key.</para>","nullable":true},"expirationDate":{"type":"string","description":"<para type=\"description\">The expiration date of the certificate.</para>","format":"date-time","nullable":true},"keySize":{"$ref":"#/components/schemas/CertificateKeySize"},"commonName":{"type":"string","description":"<para type=\"description\">The common name of the certificate.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Application Package Certificate</para>\r\n<para type=\"description\"></para>"},"CertificateStatus":{"enum":[["0 = Valid","1 = Expiring","2 = Expired","3 = InProgress","4 = Revoked","5 = Issuing","6 = IssuingFailed","7 = Renewing","8 = RenewingFailed","9 = Revoking","10 = RevokingFailed"]],"type":"string","description":"<para type=\"description\">Certificate Status</para>\r\n<para type=\"synopsis\">Certificate Status</para>","format":"int32"},"CertificateKeySize":{"enum":[["0 = KeySize1024","1 = KeySize2048","2 = KeySize4096","3 = KeySize3072","4 = KeySize521","255 = KeySizeUnknown"]],"type":"string","description":"<para type=\"description\">Certificate Key Size</para>\r\n<para type=\"synopsis\">Certificate Key Size</para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/application-packages/msix-image/details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
